Solvedreact native fast image IOS invariant violation: requireNativeComponent FastImageView was not found in the UI manager

how can I fix this error??????

28 Answers

✔️Accepted Answer

Make sure you run pod install and re-build your entire project.

Other Answers:

The problem still exists in the newest version("react-native-fast-image": "^7.0.2") with "react-native": "0.60.4" on my computer.

I am working on Xcode 10.2.1 and while adding FastImage.xcodeproj to Libraries I am getting a Xcode Crash every time.

#534 <-- this solved it for me, running "pod repo update" and then "pod install"

You will have to properly link the native library.

Follow this guide: https://github.com/DylanVann/react-native-fast-image#usage

If for some reason react-native link react-native-fast-image is not working for you, I recommend checking https://github.com/DylanVann/react-native-fast-image/blob/master/docs/installation-manual.md or https://github.com/DylanVann/react-native-fast-image/blob/master/docs/installation-cocoapods.md (if you are using cocoapods)

More Issues: